﻿/*-------------------------------------------------------------------------------+
|
| Copyright (c) 2012, Embedded-Lab. All Rights Reserved.
|
| Limited permission is hereby granted to reproduce and modify this 
| copyrighted material provided that this notice is retained 
| in its entirety in any such reproduction or modification.
|
| Author: ANir
| First Version Date: 2012/12/27
+-------------------------------------------------------------------------------*/

using System;
using System.Threading;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

using EmbeddedLab.NetduinoPlus.Day2.Display;

namespace EmbeddedLab.NetduinoPlus.Day2
{
    public class Program
    {
        public static void Main()
        {
            LCD lcd = new LCD(
                Pins.GPIO_PIN_D11, // RS
                Pins.GPIO_PIN_D9,  // Enable
                Pins.GPIO_PIN_D7,  // D4
                Pins.GPIO_PIN_D5,  // D5
                Pins.GPIO_PIN_D3,  // D6
                Pins.GPIO_PIN_D1,  // D7
                20,                // Number of Columns 
                LCD.Operational.DoubleLIne, // LCD Row Format
                4,                 // Number of Rows in LCD
                LCD.Operational.Dot5x8);    // Dot Size of LCD

            while (true)
            {


                lcd.ShowCursor = true;
                lcd.Show("www.Embedded-Lab.comWelcome's you to Netduino Tutorial site.  Happy Learning! :)", 200, true);
                Thread.Sleep(5000); // reading time for the viewer

                lcd.ClearDisplay();
                lcd.ClearDisplay();
                lcd.Show("That was cool! Let's clear the display and show all text at once", 200, true);
                Thread.Sleep(1000); // reading time for the viewer

                lcd.ClearDisplay();
                lcd.ShowCursor = false;
                lcd.Show("ABCDEFGHILKLMnopqrstuvwxyz0123456789                              -Thanks!");


            }
        }

    }
}
